/****
 *  CQTPane.h
 *
 *	Pane methods for the QuickTime demo application.
 *
 ****/

#define _H_CQTPane			/* Include this file only once */
#include <CPanorama.h>
#include "CMovie.h"

struct CQTPane : CPanorama {
	
	CMovie		*itsMoviePane;
	
									/** Contruction/Destruction **/
	void		IQTPane(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							FSSpec *movieSpec);

	void		DoCommand(long theCommand);
	
    void        UpdateMenus(void);  

	void		ImportMovie(FSSpec *spec);
	
									/** Drawing **/
	void		Draw(Rect *area);

									/** Mouse **/
	void		DoClick(Point hitPt, short modifierKeys, long when);
	Boolean		HitSamePart(Point pointA, Point pointB);
	
									/** Cursor **/
	void		AdjustCursor(Point where, RgnHandle mouseRgn);

									/** Scrolling **/
	void		ScrollToSelection(void);
};
