/******************************************************************************
 CMovie.h

		Interface for the Movie Class
		
		Copyright  1992 Joe Zobkiw. All rights reserved.

 ******************************************************************************/
 
#define _H_CMovie

#include "CPane.h"					/* Interface for its superclass		*/
#include "CCollaborator.h"
#include <Movies.h>

class CMovie : public CPane {		/* Class Declaration				*/

public:
								/** Instance Variables **/
	Movie				movie;
	short				movieRefNum;
	MovieController		controller;
	
								/** Instance Methods **/
	void				IMovie(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							FSSpec *movieSpec);
    
    virtual void        Dispose(void);

	virtual void 		ProviderChanged( CCollaborator *aProvider, 
										 long reason, 
										 void* info);
    virtual void		DoClick(Point hitPt, short modifierKeys, long when);
    
	virtual void		ImportMovie(FSSpec *spec);
		
	virtual void		Dawdle(long	*maxSleep);
	virtual void		Draw(Rect *area);
	
	virtual void		ForgetInstanceVariables(void);
};
